Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.consumer
Class InvocationHandler

    java.lang.Object
      org.jboss.portal.wsrp.consumer.InvocationHandler

Direct Known Subclasses:
  ActionHandler, RenderHandler

    public abstract class InvocationHandler

extends java.lang.Object

Since:
  2.4 (May 31, 2006)
Version:
  $Revision: 8784 $
Author:
  Chris Laprun

Field Summary
`protected WSRPConsumerImpl` | `consumer`
`protected static org.jboss.logging.Logger` | `log`

Constructor Summary
`InvocationHandler(WSRPConsumerImpl consumer)`

Method Summary
`protected java.lang.String` | `getNamespaceFrom(WindowContext windowContext)`
`protected abstract RuntimeContext` | `getRuntimeContextFrom(java.lang.Object request)`
`protected abstract java.lang.Object` | `performRequest(java.lang.Object request)`
`protected java.lang.Object` | `performRequest(java.lang.Object request, PortletInvocation invocation)`
`protected abstract java.lang.Object` | `prepareRequest(org.jboss.portal.wsrp.consumer.RequestPrecursor requestPrecursor, PortletInvocation invocation)`
`protected abstract PortletInvocationResponse` | `processResponse(java.lang.Object response, PortletInvocation invocation, org.jboss.portal.wsrp.consumer.RequestPrecursor requestPrecursor)`
`protected ErrorResponse` | `unwrapWSRPError(ErrorResponse errorResponse)`
`protected abstract void` | `updateRegistrationContext(java.lang.Object request)`
`protected abstract void` | `updateUserContext(java.lang.Object request, UserContext userContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### consumer

    protected WSRPConsumerImpl consumer

### log

    protected static org.jboss.logging.Logger log

Constructor Detail

### InvocationHandler

    public InvocationHandler(WSRPConsumerImpl consumer)

Method Detail

### performRequest

    protected java.lang.Object performRequest(java.lang.Object request,
                                              PortletInvocation invocation)
                                       throws PortletInvokerException

  Throws:
    `PortletInvokerException`

### getNamespaceFrom

    protected java.lang.String getNamespaceFrom(WindowContext windowContext)

### unwrapWSRPError

    protected ErrorResponse unwrapWSRPError(ErrorResponse errorResponse)

### updateUserContext

    protected abstract void updateUserContext(java.lang.Object request,
                                              UserContext userContext)

### updateRegistrationContext

    protected abstract void updateRegistrationContext(java.lang.Object request)
                                               throws PortletInvokerException

  Throws:
    `PortletInvokerException`

### getRuntimeContextFrom

    protected abstract RuntimeContext getRuntimeContextFrom(java.lang.Object request)

### performRequest

    protected abstract java.lang.Object performRequest(java.lang.Object request)
                                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### prepareRequest

    protected abstract java.lang.Object prepareRequest(org.jboss.portal.wsrp.consumer.RequestPrecursor requestPrecursor,
                                                       PortletInvocation invocation)

### processResponse

    protected abstract PortletInvocationResponse processResponse(java.lang.Object response,
                                                                 PortletInvocation invocation,
                                                                 org.jboss.portal.wsrp.consumer.RequestPrecursor requestPrecursor)
                                                          throws PortletInvokerException

  Throws:
    `PortletInvokerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD